Subject: Re: bug#25360: File mode specification errors during building

From: [email-masked] (Phillip Lord)
Date: Tue, 24 Jan 2017 12:42:09 +0000

[email-masked] writes:

> [email-masked] (Phillip Lord) writes:
>
>> [email-masked] (Phillip Lord) writes:
>>
>> The final version of this is on fix/bootstrap-build-minimize-squash,
>> tested on windows and gnu/linux. Comments welcome or I'll push this to
>> master tomorrow.
>
> Just a few minor formatting things:
>
>> Remove conditional includes from bootstrap
>> 
>>  * lisp/loadup.el: No longer load optional includes during bootstrap
>>    dumping.
>>  * lisp/ldefs-boot-auto.el: Regenerate.
>>  * lisp/ldefs-boot-manual.el: Add two autoloads.
>> 
>> Previously, bootstrap-emacs includes optional functionality, depending
>> on the platform which is not needed for bootstrap function. As a result,
>> bootstrap-emacs contains different functions in different
>> circumstances. If ldefs-boot-auto.el is generated, then loaded functions
>> will not be added to ldefs-boot-auto.el, although they may be required
>> during some builds. With this change, bootstrap-emacs should always
>> behave the same way and, therefore, require the same autoloads.
>
> Sentences should end in double space, and summary should before
> ChangeLog entry.

Double space I seem to always get wrong, and I need to check my
configuration to stop if removing them.

The summary before the changelog, I am a bit less sure on. I see both
forms in use.

>> +(autoload 'dos-convert-standard-filename "dos-fns.el" nil nil nil)
>> +(autoload ' w32-convert-standard-filename "w32-fns.el" nil nil nil)
>
> Extra space here.
>
> In the last commit, "Add error handling to magic-mode-alist":
>
>> +                                           (t
>> +                                            (error
>> + "Problem in magic-mode-alist with element %s" re))
>> +                                           ))))))
>
> The close paren placement looks odd.

Will address these!

Did you have chance to check this on a bootstrap build? Would be good to
know I am not the only one.

Phil